from common.graphics.shape import *

class Circle(Shape):
    def __init__(self, canvas, centerX, centerY, radius, outlineColor, fillColor):
        super().__init__(canvas)

        self.centerX      = centerX
        self.centerY      = centerY
        self.radius       = radius
        self.outlineColor = outlineColor
        self.fillColor    = fillColor

    def draw(self):
        self.canvas.create_oval(self.centerX - self.radius, self.centerY - self.radius, self.centerX + self.radius, self.centerY + self.radius, width = 2, outline = self.outlineColor, fill = self.fillColor)