from common.graphics.shape import *

class Rectangle(Shape):
    def __init__(self, canvas, x, y, width, height, outlineColor, fillColor):
        super().__init__(canvas)

        self.x            = x
        self.y            = y
        self.width        = width
        self.height       = height
        self.outlineColor = outlineColor
        self.fillColor    = fillColor

    def draw(self):
        self.canvas.create_rectangle(self.x, self.y, self.x + self.width, self.y + self.height, width = 2, outline = self.outlineColor, fill = self.fillColor)